---
title: CSSPropertyRule.name
slug: Web/API/CSSPropertyRule/name
tags:
  - API
  - CSS
  - CSS Properties and Values API
  - CSSPropertyRule
  - Experimental
  - Houdini
  - Property
  - Reference
  - Read-only
---
<div>{{APIRef("CSS Properties and Values API")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The read-only <strong><code>name</code></strong> property of the {{domxref("CSSPropertyRule")}} interface represents the property name, this being the serialization of the name given to the custom property in the {{domxref("@property")}} rule’s prelude.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <var>name</var> = CSSPropertyRule.name;</pre>

<h3>Value</h3>
<p>A {{domxref("USVString")}}.</p>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
    <tbody>
     <tr>
      <th scope="col">Specification</th>
      <th scope="col">Status</th>
      <th scope="col">Comment</th>
     </tr>
     <tr>
      <td>{{SpecName('CSS Properties and Values API','#dom-csspropertyrule-name','Name')}}</td>
      <td>{{Spec2('CSS Properties and Values API')}}</td>
      <td>Initial definition.</td>
     </tr>
    </tbody>
   </table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("api.CSSPropertyRule.name")}}</p>
